<?php
/**
 *
 */
Yii::setPathOfAlias('site', dirname(__FILE__) . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..');

return array(
    'components' => array(
        'db' => array(
            //DB connection string
            'connectionString' => 'mysql:host=qa-db-mysql.office;port=35521;dbname=gportal_unittests',
            //whether to turn on prepare emulation. Defaults to false, meaning PDO will use the native prepare support if available.
            'emulatePrepare' => true,
            //the default prefix for table names. Defaults to null, meaning no table prefix.
            'tablePrefix' => 'gportal_',
            //DB username
            'username' => 'root',
            //DB Password
            'password' => '',
            'charset' => 'utf8',
            //whether the database connection should be automatically established the component is being initialized.
            'autoConnect' => false,
            //number of seconds that table metadata can remain valid in cache. 86400, 0 - disabled
            'schemaCachingDuration' => 0,
        ),
        'log' => array(
            'class' => 'CLogRouter',
            'routes' => array(
                array(
                    'class' => 'CFileLogRoute',
                    'levels' => 'error, warning',
                    'logPath' => dirname(__FILE__) . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'common/runtime',
                ),
            ),
        ),
    ),
    //common directory path
    'basePath' => dirname(__FILE__) . DIRECTORY_SEPARATOR . '..',
    // preloading 'log' component
    'preload' => array('log'),
    'charset' => 'UTF-8',
    //import folders with files, classes
    'import' => array(
        'site.common.models.*',
        'site.common.components.*',
        'site.common.extensions.*',
        'site.common.components.content.*',
        'application.components.*',
        'application.controllers.*',
        'ext.*',
        'system.caching.*'
    ),
    //mapping from command name to command configurations
    'commandMap' => array(
        'migrate' => array(
            'class' => 'system.cli.commands.MigrateCommand',
            //folder contained migrations
            'migrationPath' => 'site.common.migrations',
            //migration tablename
            'migrationTable' => 'gportal_migration',
        ),
    ),

);
