<?php

class TmpUser extends TmpUserBasic
{
    public function rules()
    {
        $rules = parent::model()->rules();
        $rules = CMap::mergeArray($rules, array(
            array('svnr, memberNo', 'length', 'max'=>255),
            array('svnr, memberNo', 'safe', 'on'=>'search'),
            array('memberNo, svnr','filter', 'filter'=>array($obj=new CHtmlPurifier(),'purify')),
            )
        );
        return $rules;
    }

    public function attributeLabels()
    {
        $attributes = parent::model()->attributeLabels();
        $attributes = CMap::mergeArray($attributes, array(
                'memberNo' => ShoppingcartModule::t('MemberNo'),
                'svnr' => ShoppingcartModule::t('SVNR'),
            )
        );
        return $attributes;
    }

    public function search()
    {
        $searchProvider = parent::model()->search();
        $searchProvider->criteria->compare('memberNo',$this->memberNo,true);
        $searchProvider->criteria->compare('svnr',$this->svnr,true);

        return $searchProvider;
    }

    public static function model($className=__CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return '{{tmp_user}}';
    }
}
